#!/bin/sh #set -vx PKG_BATCH=${BATCH:=NO} PKG_PREFIX=${PKG_PREFIX:=/usr/local} # # create 'cyrus' user and group before installing # create() { if [ ! -x /usr/sbin/pw ]; then echo "*** Please add a user and a group named \`cyrus' before installing this package." exit 69 fi if ! pw show group cyrus -q >/dev/null; then gid=60 while pw show group -g ${gid} -q >/dev/null; do gid=`expr ${gid} + 1` done if ! pw add group cyrus -g ${gid}; then e=$? echo "*** Failed to add group \`cyrus'. Please add it manually." exit ${e} fi echo "*** Added group \`cyrus' (id ${gid})" else gid=`pw show group cyrus 2>/dev/null | cut -d: -f3` fi if [ -x /sbin/nologin ]; then shell=/sbin/nologin else shell=/nonexistent fi if ! pw show user cyrus -q >/dev/null; then uid=60 while pw show user -u ${uid} -q >/dev/null; do uid=`expr ${uid} + 1` done if ! pw add user cyrus -u ${uid} -g ${gid} -d "/nonexistent" \ -c "the cyrus mail server" -s "${shell}" -p "*" \ ; then e=$? echo "*** Failed to add user \`cyrus'. Please add it manually." exit ${e} fi echo "*** Added user \`cyrus' (id ${uid})" else if ! pw mod user cyrus -g ${gid} -d "/nonexistent" \ -c "the cyrus mail server" -s "${shell}" -p "*" \ ; then e=$? echo "*** Failed to update user \`cyrus'." exit ${e} fi echo "*** Updated user \`cyrus'." fi if ! pw group mod cyrus -m daemon; then echo "*** can't add user \`daemon' to group \`cyrus'" fi } checkfile() { diff -bBqw $1 $1.dist >/dev/null 2>&1 case $? in 0) # config file exists, but is the same ;; 1) # config file exists and differs echo "** Make sure $1 is in sync with this version"; echo " of the port. See $1.dist for details."; ;; *) # no config file exists, copy it install -c -m 644 $1.dist $1 ;; esac } # Install timseived's Cyrus.conf file cyrus_conf() { if [ ! -f ${PKG_PREFIX}/lib/sasl/Cyrus.conf ]; then echo "pwcheck_method: pwcheck" > ${PKG_PREFIX}/lib/sasl/Cyrus.conf fi } case $2 in PRE-INSTALL) create ;; POST-INSTALL) cd ${PKG_PREFIX} cyrus_conf checkfile ${PKG_PREFIX}/etc/imapd.conf checkfile ${PKG_PREFIX}/etc/cyrus.conf if grep 'sieve' /etc/services; then echo else echo echo "** Please add an entry for the sieve protocol (2000/tcp)" echo " to /etc/services" echo fi ;; esac vel/electron4/files/minimist-1.2.2'>dependabot/npm_and_yarn/devel/electron4/files/minimist-1.2.2 FreeBSD GNOME current development ports (https://github.com/freebsd/freebsd-ports-gnome)
aboutsummaryrefslogtreecommitdiffstats
path: root/textproc/hs-citeproc-hs
Commit message (Expand)AuthorAgeFilesLines
* Update the default version of GCC in the Ports Collection from GCC 4.7.4gerald2014-09-111-0/+1
* - Update The Glorious Glasgow Haskell Compiler to version 7.8.3pgj2014-08-112-29/+17
* - Reroll and update bootstrap Haskell compilers to GHC 7.6.3 on 8.x andpgj2014-03-291-1/+1
* Update the default version of GCC used in the Ports Collection fromgerald2014-03-111-1/+1
* - Stagify lang/ghc and all the Haskell Cabal portspgj2014-01-101-1/+0
* - Fix a run-time problem with lang/ghc on FreeBSD 10.0 and later, caused bypgj2014-01-101-1/+1
* Update to libmpc version 1.0.1 which brings the following fixes:gerald2013-10-261-1/+1
* Add NO_STAGE all over the place in preparation for the staging support (cat: ...bapt2013-09-211-0/+1
* - Update The Glorious Glasgow Haskell Compiler to version 7.6.3pgj2013-06-051-1/+2
* - Update Haskell ports from the development repositorypgj2013-03-302-3/+3